package com.elitesland.demo.controller;

import com.elitesland.core.demo.service.DemoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Optional;

/**
 * <p>
 * 功能说明
 * </p>
 *
 * @author Mir
 * @date 2020/6/28
 */
@RestController
@RequestMapping("/demo")
@RequiredArgsConstructor
@Api(value = "多模块服务注入", tags = {"多模块服务注入"})
public class DemoController {

    private final DemoService demoService;

    @GetMapping
    @ApiOperation("服务注入测试")
    public ResponseEntity<Object> getDemo() {
        if(demoService == null){
            return ResponseEntity.of(Optional.of("Oops!"));
        }
        return ResponseEntity.of(Optional.of(demoService.add(99, 2)));
    }
}
