package com.elitesland.system.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <pre>
 * 分类码查询条件
 * </pre>
 *
 * @author Mir
 * @date 2020/6/25
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel("分类码查询条件")
public class CatCodeQueryParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = -3895354355224335248L;

    @ApiModelProperty("系统码")
    private String sys;

    @ApiModelProperty("模块码")
    private String mod;

    @ApiModelProperty("分类码")
    private String key;

    @ApiModelProperty("分类码描述")
    private String desc;

    @ApiModelProperty("多个分类码字符串列表")
    private List<String> keys;
}
